summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Peter Wang <novalazy@gmail.com>2010-05-13 00:59:31 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:31 +0200
commit60e777549fb71112a613144d28eceb555a8e2481 (patch)
treec44d2f25e5b35fc9341e040b36c9bccdffabb10c /misc
parentfdce8ff1dea79e75c352d16543b6fad7def7f93d (diff)
downloadslackbuilds-60e777549fb71112a613144d28eceb555a8e2481.tar.gz
slackbuilds-60e777549fb71112a613144d28eceb555a8e2481.tar.xz
misc/tal: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/tal/README6
-rw-r--r--misc/tal/slack-desc19
-rw-r--r--misc/tal/tal.SlackBuild60
-rw-r--r--misc/tal/tal.info10
4 files changed, 95 insertions, 0 deletions
diff --git a/misc/tal/README b/misc/tal/README
new file mode 100644
index 0000000000..6ce9451a97
--- /dev/null
+++ b/misc/tal/README
@@ -0,0 +1,6 @@
+tal is a filter that reads in lines from standard input. The lines are sent to
+standard output with common trailing characters aligned so that they all begin
+and end on the same column of text. This can be used to repair 'broken boxes'
+or align the backslashes on long macro definitions in C programs. But tal will
+work on any kind of common ending and is especially useful as a filter for the
+vim text editor.
diff --git a/misc/tal/slack-desc b/misc/tal/slack-desc
new file mode 100644
index 0000000000..632f922b3b
--- /dev/null
+++ b/misc/tal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tal: tal (trailer alignment filter)
+tal:
+tal: tal is a filter that reads in lines from standard input. The lines are
+tal: sent to standard output with common trailing characters aligned so
+tal: that they all begin and end on the same column of text. This can be
+tal: used to repair 'broken boxes' or align the backslashes on long macro
+tal: definitions in C programs. But tal will work on any kind of common
+tal: ending and is especially useful as a filter for the vim text editor.
+tal:
+tal:
+tal:
diff --git a/misc/tal/tal.SlackBuild b/misc/tal/tal.SlackBuild
new file mode 100644
index 0000000000..4e31ee2fc8
--- /dev/null
+++ b/misc/tal/tal.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for tal
+
+# Written by Peter Wang <novalazy@gmail.com>
+
+PRGNAM=tal
+VERSION=${VERSION:-1.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ -type d -exec chmod 0755 {} \; -o \
+ -type f -exec chmod u+rw,go+r-w,a-s {} \;
+
+make CFLAGS="$SLKCFLAGS -ansi" tal
+
+mkdir -p $PKG/usr/bin
+cp -a tal $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/tal
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c tal.1 > $PKG/usr/man/man1/tal.1.gz
+
+# INSTALL contains a vim tip so let's keep it.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/tal/tal.info b/misc/tal/tal.info
new file mode 100644
index 0000000000..3795e4f286
--- /dev/null
+++ b/misc/tal/tal.info
@@ -0,0 +1,10 @@
+PRGNAM="tal"
+VERSION="1.9"
+HOMEPAGE="http://thomasjensen.com/software/tal/"
+DOWNLOAD="http://thomasjensen.com/software/tal/tal-1.9.tar.gz"
+MD5SUM="a22e53f5f0d701a408e98e480311700b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Peter Wang"
+EMAIL="novalazy@gmail.com"
+APPROVED="rworkman"